> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artaios.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent

Update an existing agent configuration. You can modify any part of the agent's settings within the `system_config` object.

<ParamField path="id" type="string" required>
  The agent ID
</ParamField>

## Request Body

<ParamField body="system_config" type="object" required>
  Updated agent configuration fields
</ParamField>

<CodeGroup>
  ```bash cURL theme={null}
  curl -X PATCH https://api.artaios.ai/api/v1/agent/550e8400-e29b-41d4-a716-446655440000/ \
    -H "x-api-key: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "system_config": {
        "system_prompt": "Updated system prompt...",
        "llm_config": {
          "temperature": 0.8
        }
      }
    }'
  ```

  ```python Python theme={null}
  import requests

  data = {
      "system_config": {
          "system_prompt": "Updated system prompt...",
          "llm_config": {
              "temperature": 0.8
          }
      }
  }

  response = requests.patch(
      "https://api.artaios.ai/api/v1/agent/550e8400-e29b-41d4-a716-446655440000/",
      headers={"x-api-key": "YOUR_API_KEY"},
      json=data
  )
  ```

  ```javascript JavaScript theme={null}
  const data = {
    system_config: {
      system_prompt: "Updated system prompt...",
      llm_config: {
        temperature: 0.8
      }
    }
  };

  const response = await fetch('https://api.artaios.ai/api/v1/agent/550e8400-e29b-41d4-a716-446655440000/', {
    method: 'PATCH',
    headers: {
      'x-api-key': 'YOUR_API_KEY',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(data)
  });
  ```
</CodeGroup>

## Response

Returns the updated agent configuration with new `config_hash` and `updated_at` timestamp.
